# scikit-datasets
Scikit-learn-compatible datasets

## Status
[![Build Status](https://travis-ci.org/daviddiazvico/scikit-datasets.svg?branch=master)](https://travis-ci.org/daviddiazvico/scikit-datasets)
[![Coverage Status](https://coveralls.io/repos/github/daviddiazvico/scikit-datasets/badge.svg)](https://coveralls.io/github/daviddiazvico/scikit-datasets)
[![Maintainability](https://api.codeclimate.com/v1/badges/a37c9ee152b41a0cb577/maintainability)](https://codeclimate.com/github/daviddiazvico/scikit-datasets/maintainability)
[![Test Coverage](https://api.codeclimate.com/v1/badges/a37c9ee152b41a0cb577/test_coverage)](https://codeclimate.com/github/daviddiazvico/scikit-datasets/test_coverage)
[![Code Health](https://landscape.io/github/daviddiazvico/scikit-datasets/master/landscape.svg?style=flat)](https://landscape.io/github/daviddiazvico/scikit-datasets/master)
[![Documentation Status](https://readthedocs.org/projects/scikit-datasets/badge/?version=latest)](http://scikit-datasets.readthedocs.io/en/latest/?badge=latest)

![Anaconda Cloud](https://anaconda.org/daviddiazvico/scikit-datasets/badges/version.svg)
![license](https://anaconda.org/daviddiazvico/scikit-datasets/badges/license.svg)
![downloads](https://anaconda.org/daviddiazvico/scikit-datasets/badges/downloads.svg)
![Install with](https://anaconda.org/daviddiazvico/scikit-datasets/badges/installer/conda.svg)

## Installation
Available in [PyPI](https://pypi.python.org/pypi?:action=display&name=scikit-datasets)
```
pip install scikit-datasets
```
and [Anaconda Cloud](https://anaconda.org/daviddiazvico/scikit-datasets)
```
conda install -c daviddiazvico scikit-datasets
```

## Documentation
To generate the documentation, go to the docs subfolder and run
```
sphinx-apidoc -o . ../skdatasets/
make html
```

## Distribution
Run the following command from the project home to upload the package to [testPyPI](https://testpypi.python.org/)
```
python setup.py sdist upload -r testpypi
```
or [PyPI](https://pypi.python.org/)
```
python setup.py sdist upload -r pypi
```
Then, you can also upload to [Anaconda Cloud](https://anaconda.org/). Install [conda-build](https://anaconda.org/anaconda/conda-build) and [anaconda-client](https://anaconda.org/anaconda/anaconda-client), go to ~, and run
```
conda skeleton pypi scikit-datasets
conda-build -c conda-forge scikit-datasets
anaconda login
anaconda upload <TEST END generated by conda-build>
```

## Citation
If you find scikit-datasets useful, please cite it in your publications. You can use this [BibTeX](http://www.bibtex.org/) entry:
```
@misc{scikit-datasets,
      title={scikit-datasets},
      author={Diaz-Vico, David},
      year={2017},
      publisher={GitHub},
      howpublished={\url{https://github.com/daviddiazvico/scikit-datasets}}}
```